Subject: bug#69731: closed (Re: [bug#69731] [PATCH 0/2] Fix prosody system test)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 17 Mar 2024 12:32:02 +0000

Your bug report

#69731: [PATCH 0/2] Fix prosody system test

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69731: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69731
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#69731] [PATCH 0/2] Fix prosody system test
From: Liliana Marie Prikler <[email-masked]>
To: Carlo Zancanaro <[email-masked]>
Cc: [email-masked]
Date: Sun, 17 Mar 2024 13:29:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Dienstag, dem 12.03.2024 um 12:01 +1100 schrieb Carlo Zancanaro:
> On Mon, Mar 11 2024, Liliana Marie Prikler wrote:
> > Nice catch.  Would you also like to submit tests for the modules in
> > 69272?
> 
> I'm not sure how to test them. I had a look at the Freetalk API, but
> it doesn't seem like it supports any of the XMPP features that those
> extra modules add. We'd need to use a different client (or send raw
> XML stanzas) to poke prosody in the right ways.
> 
> I'm not prepared to do that amount of exploratory work right now.
Fair enough, I pushed what you already have.

Cheers

Subject: [PATCH 0/2] Fix prosody system test
From: Carlo Zancanaro <[email-masked]>
To: [email-masked]
Cc: Liliana Marie Prikler <[email-masked]>
Date: Mon, 11 Mar 2024 22:57:02 +1100
List-Id: <debbugs-submit.debbugs.gnu.org>

In a previous patch[1], Liliana found that the prosody system test was
failing. I did some investigation, and found that this was because the
saslauth module doesn't allow PLAIN or LOGIN authentication on insecure
connections.

There is a configuration item for this, but we didn't have it as a part of the
Guix prosody-configuration objects, so I added it and then used it to make the
test pass.

[1]: https://issues.guix.gnu.org/69272#10

Carlo Zancanaro (2):
  gnu: services: Add insecure-sasl-mechanisms to prosody configuration.
  gnu: tests: Fix prosody system test.

 doc/guix.texi              | 12 +++++++++---
 gnu/services/messaging.scm |  6 ++++++
 gnu/tests/messaging.scm    |  2 +-
 3 files changed, 16 insertions(+), 4 deletions(-)

base-commit: 2a8018e42c0d9b81de56cf322043c797e443c267
-- 
2.41.0